VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR:
[legend]

## Public Member Functions

| ImageSwapchainCreateInfoKHR (SwapchainKHR swapchain_=SwapchainKHR())
| ImageSwapchainCreateInfoKHR (VkImageSwapchainCreateInfoKHR const &rhs)
ImageSwapchainCreateInfoKHR & | operator= (VkImageSwapchainCreateInfoKHR const &rhs)
ImageSwapchainCreateInfoKHR & | setPNext (const void *pNext_)
ImageSwapchainCreateInfoKHR & | setSwapchain (SwapchainKHR swapchain_)
| operator VkImageSwapchainCreateInfoKHR const & () const
| operator VkImageSwapchainCreateInfoKHR & ()
bool | operator== (ImageSwapchainCreateInfoKHR const &rhs) const
bool | operator!= (ImageSwapchainCreateInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
SwapchainKHR | swapchain

## Private Attributes

StructureType | sType = StructureType::eImageSwapchainCreateInfoKHR

## Detailed Description

Definition at line 14850 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageSwapchainCreateInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::ImageSwapchainCreateInfoKHR | ( | SwapchainKHR | swapchain_ = `SwapchainKHR()` | ) |

inline

Definition at line 14852 of file vulkan.hpp.

: swapchain( swapchain_ )
{
}

## ImageSwapchainCreateInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::ImageSwapchainCreateInfoKHR | ( | VkImageSwapchainCreateInfoKHR const & | rhs | ) |

inline

Definition at line 14857 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSwapchainCreateInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageSwapchainCreateInfoKHR &()

VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator VkImageSwapchainCreateInfoKHR & | ( |  | ) |

inline

Definition at line 14884 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageSwapchainCreateInfoKHR*>(this);
}

## operator VkImageSwapchainCreateInfoKHR const &()

VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator VkImageSwapchainCreateInfoKHR const & | ( |  | ) | const

inline

Definition at line 14879 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageSwapchainCreateInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator!= | ( | ImageSwapchainCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 14896 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator= | ( | VkImageSwapchainCreateInfoKHR const & | rhs | ) |

inline

Definition at line 14862 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSwapchainCreateInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator== | ( | ImageSwapchainCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 14889 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( swapchain == rhs.swapchain );
}

References pNext, sType, and swapchain.

Referenced by operator!=().

## setPNext()

ImageSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14867 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSwapchain()

ImageSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::setSwapchain | ( | SwapchainKHR | swapchain_ | ) |

inline

Definition at line 14873 of file vulkan.hpp.

{
swapchain = swapchain_;
return *this;
}

References swapchain.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::pNext = nullptr

Definition at line 14905 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::sType = StructureType::eImageSwapchainCreateInfoKHR

private

Definition at line 14902 of file vulkan.hpp.

Referenced by operator==().

## swapchain

SwapchainKHR VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::swapchain

Definition at line 14906 of file vulkan.hpp.

Referenced by operator==(), and setSwapchain().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:14902
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkImageSwapchainCreateInfoKHR
Definition: vulkan_core.h:4842
VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::ImageSwapchainCreateInfoKHR
ImageSwapchainCreateInfoKHR(SwapchainKHR swapchain_=SwapchainKHR())
Definition: vulkan.hpp:14852
VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::operator==
bool operator==(ImageSwapchainCreateInfoKHR const &rhs) const
Definition: vulkan.hpp:14889
VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:14905
VULKAN_HPP_NAMESPACE::ImageSwapchainCreateInfoKHR::swapchain
SwapchainKHR swapchain
Definition: vulkan.hpp:14906